LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-27-2011, 08:35 PM   #1
summit
Member
 
Registered: Nov 2010
Posts: 57

Rep: Reputation: 0
Question Qt prob???


Hi friends,
I am using Scientific Linux (SL55). I installed Qt "qt-everywhere-opensource-src-4.7.1.tar.gz". Everything goes fine. But during cmopling my code, it gave errors, file attached


Can anyone help me in sort out this problem???

Thanks in advance,
Summit.
Attached Files
File Type: txt errors qt.txt (20.3 KB, 11 views)

Last edited by summit; 01-27-2011 at 08:37 PM.
 
Old 01-28-2011, 05:02 AM   #2
MTK358
LQ 5k Club
 
Registered: Sep 2009
Posts: 6,443
Blog Entries: 3

Rep: Reputation: 721Reputation: 721Reputation: 721Reputation: 721Reputation: 721Reputation: 721Reputation: 721
You installed qt-everywhere and then it won't compile? How did you install it without compiling first?

Or did you leave out some important information?
 
Old 01-28-2011, 10:10 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016 CentOS6.9 CentOS7.3 + 50+ other Linux OS, for test only.
Posts: 16,625

Rep: Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266Reputation: 3266
Your "error_qt.txt" : Compiling geant4.9.3.p02.

# yum install qt4-devel (Providing version 4.2.1).
cd /usr/bin/ && ln -s /usr/lib/qt4/bin/moc && exit

cd geant4.9.3.p02/ && ./Configure -build ( *qt* = [y] ) : No errors.

Scientific Linux SL55 is "the CERN OS".
Geant4 is a "CERN application".
Geant4 will ( of course ) compile OK with the default SL55 qt4.
( Or another compatible qt4 ).

Qt4 version 4.7 is quite different from 4.2.1, I think.
And for best consistency : Please use the packages, provided by yum.

P.S. : There is a later version, Geant4 = 4.9.4
http://www.geant4.org/geant4/support/download.shtml

..

Last edited by knudfl; 01-28-2011 at 12:01 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Subtitle prob + Keyboard/Mouse Prob 2Pacalypse Ubuntu 1 02-26-2007 02:49 PM
red hat 9, printer prob and connection prob lasttriptotulsa Linux - Newbie 4 01-17-2007 03:39 AM
Help Prob. Avenge19 SUSE / openSUSE 6 11-03-2004 07:53 AM
XFree keyboard problem, Quake prob and half-life prob cradlebin Linux - Software 0 09-21-2003 06:57 AM
Man 9.0 printer ? hardware prob ? install prob romcgill Linux - Hardware 2 02-24-2003 04:54 AM


All times are GMT -5. The time now is 08:13 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration